Package org.jboss.resteasy.plugins.providers

## Class ServerFormUrlEncodedProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.FormUrlEncodedProvider
  - - org.jboss.resteasy.plugins.providers.ServerFormUrlEncodedProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.MultivaluedMap>`, `javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.MultivaluedMap>`, `AsyncMessageBodyWriter<javax.ws.rs.core.MultivaluedMap>`

      @Produces("application/x-www-form-urlencoded")
      @Consumes("application/x-www-form-urlencoded")
      @ConstrainedTo(SERVER)
      public class ServerFormUrlEncodedProvider
      extends FormUrlEncodedProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `useContainerParams` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerFormUrlEncodedProvider​(boolean useContainerParams)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.MultivaluedMap` | `readFrom​(Class<javax.ws.rs.core.MultivaluedMap> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.FormUrlEncodedProvider

      `asyncWriteTo, getSize, isReadable, isWriteable, parseForm, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### useContainerParams

          protected boolean useContainerParams

  - ### Constructor Detail

    - #### ServerFormUrlEncodedProvider

          public ServerFormUrlEncodedProvider​(boolean useContainerParams)

  - ### Method Detail

    - #### readFrom

          public javax.ws.rs.core.MultivaluedMap readFrom​(Class<javax.ws.rs.core.MultivaluedMap> type,
                                                          Type genericType,
                                                          Annotation[] annotations,
                                                          javax.ws.rs.core.MediaType mediaType,
                                                          javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                                          InputStream entityStream)
                                                   throws IOException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.MultivaluedMap>`
      Overrides:
        `readFrom` in class `FormUrlEncodedProvider`
      Throws:
        `IOException`